VERSION 8000; ; 8300
* -----------------------------------------------------------------------------
* @filedoc
* @file Allg_BspMaskenfelder.CSX
* @brief Dialog mit Eingabefeldern 
* 
* Dieses Beispielskript enthlt einen Dialog mit Eingabefeldern. 
* Hierfr wird das Skript MASKFELD.QPR benutzt.
*
* -----------------------------------------------------------------------------
* Copyright (C) IB&T
* 
* Gewhrleistung und Nutzung
* 
* Die Nutzung des Skriptes erfolgt stets auf eigene Gefahr. IB&T bernimmt keine
* Gewhr dafr, dass die Nutzung dieses Skriptes zu Ihrem gewnschten Ergebnis
* fhrt. Da CardScripte vorhandene Projektdaten durch Direktzugriff auf die
* jeweiligen Datenbanken auch ohne weitere Sicherheitsabfragen unbemerkt verndern
* oder lschen knnen, erfordert eine Nutzung entsprechende Kenntnisse und groe
* Sorgfalt. IB&T haftet nicht fr eventuell entstehende Datenverluste und
* Folgeschden, die durch die Nutzung von CardScripten entstehen.
*
* -----------------------------------------------------------------------------
* @author JH
* @endfiledoc
* -----------------------------------------------------------------------------
*    8300 14.05.09 JH
* @history
* -----------------------------------------------------------------------------


* --- Vereinbarungen ----------------------------------------------------------

BENUTZE "<CARD>MASKFELD.QPR"                       | benutzt Skript mit Funktionsblcken

BILDSCHIRM GRAFIK                                  | gibt Meldungen im Arbeitsprotokoll aus


* --- Implizite Deklarationen -------------------------------------------------

!Material = " "
!Oberfl = " "
!LayerName =" "
!DGMName = " "
A_Nr = 0
A_Kode = -1
PuKode = -1
LiKode = -1
TxKode = -1
SyKode = -1
BaKode = -1
BoeKode = -1
GrKode = -1
Strich = -1
Stift = -1
Sym_Nr = 0
TFont = -1
!TStil = " "
!ZObjekt = " "
!Rand = " "
!Blatt = " "
!Datei = " "
!Ext = "*.QPR"

Mode = 0         | Dialogmodus (= nur anzeigen)
Feld = 1         | Feldposition


* --- Ausfhrung --------------------------------------------------------------

*** Dialogfhrung

* Dialoglayout
FENSTER AUF
    TEXT
      " "
      " Beispiel fr Dialogfelder aus MASKFELD.QPR "
      " _______________________________________________________________ "
      " "
      " Achse     @@@            Kode  @@@@ "
      " DGM       @@@@@@@@@@@@@@ "
      " Schicht "
      " @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ "
      " _______________________________________________________________ "
      " "
      " Kode:    Punkt  Linie Text  Symbol Bschung  Baum  Gruppe "
      "           @@@@  @@@@  @@@@    @@@@     @@@@  @@@@    @@@@ "
      " _______________________________________________________________ "
      " "
      " Material            @@@@@@@@@@@@@@@@@@@@ "
      " Oberflchen         @@@@@@@@@@@@@@@@@@@@ "
      " "
      " Strichart           @@@@@            Stift               @@@@@ "
      " "
      " Symbol              @@@@@ "
      " "
      " Schriftart             @@            Schriftstil      @@@@@@@@ "
      " "
      " Zeichnungsobjekt    @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ "
      " Blattschnitt                            @@@@@@@@@@@@@@@@@@@@@@ "
      " Zeichnungsrand                          @@@@@@@@@@@@@@@@@@@@@@ "
      " "
      " Dateiwahl (z.B. mit *.QPR) "
      "                     @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ "
      " "
    ENDE TEXT
ENDE FENSTER

* Dialogeingaben
Mask_1:
  WENN Feld == 1 DANN MF_Ax_V [Feld]; [Mode]; [A_Nr]             | Achsnummer
  WENN Feld == 2 DANN MF_Kode_V [Feld]; [Mode]; [A_Kode]; 10     | 10 = Achskode
  WENN Feld == 3 DANN MF_DGM_V [Feld]; [Mode]; [!DGMName]        | DGM-Name
  WENN Feld == 4 DANN MF_Schicht_V [Feld]; [Mode]; [!LayerName]  | Schichtname
  WENN Feld == 5 DANN MF_Kode_V [Feld]; [Mode]; [PuKode]; 0      | 0 = Punktkode
  WENN Feld == 6 DANN MF_Kode_V [Feld]; [Mode]; [LiKode]; 1      | 1 = Linienkode
  WENN Feld == 7 DANN MF_Kode_V [Feld]; [Mode]; [TxKode]; 13     | 13 = Textkode
  WENN Feld == 8 DANN MF_Kode_V [Feld]; [Mode]; [SyKode]; 6      | 6 = Symbolkode
  WENN Feld == 9 DANN MF_Kode_V [Feld]; [Mode]; [BoeKode]; 11    | 11 = Bschungskode
  WENN Feld == 10 DANN MF_Kode_V [Feld]; [Mode]; [BaKode]; 4     | 4 = Baumkodewahl
  WENN Feld == 11 DANN MF_Kode_V [Feld]; [Mode]; [GrKode]; 2     | 2 = Gruppenkode
  WENN Feld == 12 DANN MF_Material_V [Feld]; [Mode]; [!Material] | Materialname
  WENN Feld == 13 DANN MF_Oberfl_V [Feld]; [Mode]; [!Oberfl]     | Oberflchenname
  WENN Feld == 14 DANN MF_Strich_V [Feld]; [Mode]; [Strich]      | Strichart
  WENN Feld == 15 DANN MF_Stift_V [Feld]; [Mode]; [Stift]        | Stiftnummer
  WENN Feld == 16 DANN MF_Sym_V [Feld]; [Mode]; [Sym_Nr]         | Symbolnummer    
  WENN Feld == 17 DANN MF_TFont_V [Feld]; [Mode]; [TFont]        | Schriftart
  WENN Feld == 18 DANN MF_TStil_V [Feld]; [Mode]; [!TStil]       | Schriftstil
  WENN Feld == 19 DANN MF_ZObj_V [Feld]; [Mode]; [!ZObjekt]      | Zeichnungsobjekt
  WENN Feld == 20 DANN MF_Blatt_V [Feld]; [Mode]; [!Blatt]       | Blattschnitt
  WENN Feld == 21 DANN MF_Rand_V [Feld]; [Mode]; [!Rand]         | Zeichnungsrand
  WENN Feld == 22 DANN MF_Datei_V [Feld]; [Mode]; [!Datei]; !Ext | Datei

* Dialogsteuerung
MSTEUERUNG Feld; Mode; 1; 22; 1
  WENN Mode < 0 DANN STOP
  WENN Mode < 3 DANN GEHE ZU Mask_1

FENSTER ZU

*** Ende Dialogfhrung

STOP